"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isClass = void 0;
// eslint-disable-next-line @typescript-eslint/unbound-method
const toString = Function.prototype.toString;
const fnBody = (fn) => toString.call(fn).replace(/^[^{]*{\s*/, '').replace(/\s*}[^}]*$/, '');
/**
 * Returns true if passed fn is an ES2015 class
 * @example
 * isClass(noop) // => false
 */
const isClass = (fn) => (typeof fn === 'function' &&
    (/^class\s/.test(toString.call(fn)) ||
        (/^.*classCallCheck\(/.test(fnBody(fn)))));
exports.isClass = isClass;
