/**
 * Takes a function and two lists
 *
 * Returns a list made by calling the function
 * on the elements of each list in the same position
 * @example
 * zipWith(increment, [ 1, 1 ], [ 1, 1 ]) // => [ 2, 2 ]
 */
export declare const zipWith: <A, B, T>(fn: (a: A, b: B) => T, xs: A[], ys: B[]) => T[];
