"use strict";
/**
 * Takes a function and two lists
 *
 * Returns a list made by calling the function
 * on the elements of each list in the same position
 * @example
 * zipWith(increment, [ 1, 1 ], [ 1, 1 ]) // => [ 2, 2 ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.zipWith = void 0;
// TODO: make variadic
const zipWith = (fn, xs, ys) => {
    const length = Math.min(xs.length, ys.length);
    const result = Array.from({ length });
    for (let i = 0; i < length; i++) {
        result[i] = fn(xs[i], ys[i]);
    }
    return result;
};
exports.zipWith = zipWith;
